### Method

# Hex Document find_backward_full_async

since: 4.2

#### Declaration

    void
    hex_document_find_backward_full_async (
      HexDocument* doc,
      HexDocumentFindData* find_data,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description

Non-blocking version of `hex_document_find_backward_full()`.

Available since: 4.2

#### Parameters

`find_data`

  Type: `HexDocumentFindData`

  A `HexDocumentFindData` structure.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Function to be called when the operation is complete.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the method.